Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class QueueServiceManager

    java.lang.Object
      org.hornetq.rest.queue.DestinationServiceManager
          org.hornetq.rest.queue.QueueServiceManager

    public class QueueServiceManager

extends DestinationServiceManager

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected QueueDestinationsResource` | `destination`
`protected PushStore` | `pushStore`
`protected java.util.List<QueueDeployment>` | `queues`

Fields inherited from class org.hornetq.rest.queue.DestinationServiceManager
`consumerServerLocator, consumerSessionFactory, defaultSettings, linkStrategy, locator, producerPoolSize, pushStoreFile, registry, sessionFactory, started, timeoutTask`

Constructor Summary
`QueueServiceManager()`

Method Summary
`void` | `deploy(QueueDeployment queueDeployment)`
`QueueDestinationsResource` | `getDestination()`
`PushStore` | `getPushStore()`
`java.util.List<QueueDeployment>` | `getQueues()`
`void` | `setDestination(QueueDestinationsResource destination)`
`void` | `setPushStore(PushStore pushStore)`
`void` | `setQueues(java.util.List<QueueDeployment> queues)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.hornetq.rest.queue.DestinationServiceManager
`getConsumerServerLocator, getConsumerSessionFactory, getDefaultSettings, getLinkStrategy, getProducerPoolSize, getPushStoreFile, getRegistry, getServerLocator, getSessionFactory, getTimeoutTask, initDefaults, setConsumerServerLocator, setConsumerSessionFactory, setDefaultSettings, setLinkStrategy, setProducerPoolSize, setPushStoreFile, setRegistry, setServerLocator, setSessionFactory, setTimeoutTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pushStore

    protected PushStore pushStore

### queues

    protected java.util.List<QueueDeployment> queues

### destination

    protected QueueDestinationsResource destination

Constructor Detail

### QueueServiceManager

    public QueueServiceManager()

Method Detail

### getQueues

    public java.util.List<QueueDeployment> getQueues()

### setQueues

    public void setQueues(java.util.List<QueueDeployment> queues)

### getPushStore

    public PushStore getPushStore()

### setPushStore

    public void setPushStore(PushStore pushStore)

### getDestination

    public QueueDestinationsResource getDestination()

### setDestination

    public void setDestination(QueueDestinationsResource destination)

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in class `DestinationServiceManager`
  Throws:
    `java.lang.Exception`

### deploy

    public void deploy(QueueDeployment queueDeployment)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in class `DestinationServiceManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.